//
//  CustomSwitchButton.swift
//  DouShouQi_App
//
//  Created by etudiant on 27/05/2024.
//

import SwiftUI

struct CustomSwitchButton: View {
    
    // Boolean
    @Binding var IsOn: Bool
    
    // Image when Off
    var imgNameIsOff: String
    var imgIsOffWidth: CGFloat = 50
    var imgIsOffHeight: CGFloat = 50
    
    // Image when Off
    var imgNameIsOn: String
    var imgIsOnWidth: CGFloat = 50
    var imgIsOnHeight: CGFloat = 50
    
    var body: some View {
        HStack {
            Image(imgNameIsOff)
                .resizable()
                .aspectRatio(contentMode: .fit)
                .frame(width: imgIsOffWidth, height: imgIsOffHeight)
            
            Toggle("isOn", isOn: $IsOn)
                .labelsHidden()
            
            Image(imgNameIsOn)
                .resizable()
                .aspectRatio(contentMode: .fit)
                .frame(width: imgIsOnWidth, height: imgIsOnHeight)
        }
    }
}

//struct CustomSwitchButton_Previews: PreviewProvider {
//    static var previews: some View {
//        @State var isOn: Bool = false
//        CustomSwitchButton(IsOn: $isOn, imgNameIsOff: AppImages.TitleImage, imgNameIsOn: AppImages.TitleImage)
//    }
//}
